import request from '@/utils/request'

// 查询会员充值列表
export function listUserRecharge(query) {
  return request({
    url: '/his/userRecharge/list',
    method: 'get',
    params: query
  })
}

// 查询会员充值详细
export function getUserRecharge(rechargeId) {
  return request({
    url: '/his/userRecharge/' + rechargeId,
    method: 'get'
  })
}

// 新增会员充值
export function addUserRecharge(data) {
  return request({
    url: '/his/userRecharge',
    method: 'post',
    data: data
  })
}

// 修改会员充值
export function updateUserRecharge(data) {
  return request({
    url: '/his/userRecharge',
    method: 'put',
    data: data
  })
}

// 删除会员充值
export function delUserRecharge(rechargeId) {
  return request({
    url: '/his/userRecharge/' + rechargeId,
    method: 'delete'
  })
}

// 导出会员充值
export function exportUserRecharge(query) {
  return request({
    url: '/his/userRecharge/export',
    method: 'get',
    params: query
  })
}